<?
include_once '../sys/fnc.php';
include_once '../sys/head.php';

/* ---- */	
if (!isset($user)) {
	include_once '../sys/head.php';
	echo '<div class="menu_link"> Ошибка </div>
<div class="post0">Извините! Но доступ на данную страницу разрешён только клиентам хостинга, пожалуйста зарегистрируйтесь или войдите под своим логином</div></div></div>';
	include_once '../sys/foot.php';
	//header('location: /');
    //exit;
}
/* ---- */	
if (isset($_GET['id'])){
$niiik = intval($_GET['id']);
}else{
$niiik = $user->id;
}

$kol_2 = mysql_result(mysql_query("SELECT COUNT(*) FROM `logs_user` WHERE `id_user` = '$niiik'"),0);
if ($kol_2 > 4){
mysql_query("DELETE FROM `logs_user` WHERE `id_user` = '$niiik' LIMIT 2");
}
echo '<div class="menu_link"> Логи входа в аккаунт</div>
<div class="post0">';
echo '<div id="page-wrapper"><div class="main-page"><h3 class="title1">История входов</h3><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>';
echo "<div class='post'><span style='color:#330000'> Здесь Вы сможете проверить, не заходил ли кто-то чужой под Вашим ником! </span></div>";



$q=mysql_query("SELECT * FROM `logs_user` WHERE `id_user` = '$niiik' ORDER BY `time` DESC LIMIT 5");
while ($f=mysql_fetch_assoc($q)){
echo '<div class="post">';
if ($f['success']==1)$s='<b><font color="green">Да</font></b>';
else
$s='<b><font color="red">Нет</font></b>';
if ($f['method']==1)$m='Закладка';
if ($f['method']==2)$m='Форма входа';
if ($f['method']==3)$m='COOKIE';
echo "<span style='color:#000000'>Время: ".ptime($f['time'])."</span><br />Успешно: $s<br /><span style='color:#000000'>IP: $f[ip]</span><br />UA: $f[ua]<br>";
if ($f['method']==1)$m='Закладка';
if ($f['method']==2)$m='Форма входа';
if ($f['method']==3)$m='COOKIE';
echo 'Метод входа: '.$m.'';
}
include_once '../sys/foot.php';
?>